<?php
//===============================================
// AARDVARK TOPSITES PHP 4.0.2
//-----------------------------------------------
// Written by Jeremy Scheff
// (c) 2003 Aardvark Industries
// http://www.aardvarkind.com/
//-----------------------------------------------
// You can use, modify, and redistribute this
// script under the terms of the Aardvark
// Industries License, either version 2.0 or (at
// your option) any later version published by
// Aardvark Industries.
//===============================================

error_reporting(E_ERROR | E_WARNING | E_PARSE);
set_magic_quotes_runtime(0);

// Settings
require_once 'config.php';

// Require functions and process GET and POST input
require_once $CONFIG['path'].'/sources/functions.php';
$FORM = parse_form();

echo <<<EndHTML
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>Aardvark Topsites PHP - Upgrade</title>
<link rel="stylesheet" type="text/css" media="screen" title="Default" href="templates/default.css" />
<link rel="alternate stylesheet" type="text/css" media="screen" title="Dark" href="templates/default_dark.css" />
</head>
<body>
<center>
<img src="templates/logo.png" width="728" height="66" alt="Aardvark Topsites PHP" border="0" />
</center>
<table align="center" width="728" style="border: 2px solid #069;"><tr><td>
EndHTML;

if (!$FORM['old_path']) {
  echo <<<EndHTML
This script is for importing your members from Aardvark Topsites 3.2.3.  Before you run this script, you have to install Aardvark Topsites PHP.  There must be no members in your Aardvark Topsites PHP list or else there might be conflicts with ID numbers.<br /><br />
<form action="upgrade.php" method="post">
What is the full path to your old Data directory?<br />
<input type="text" name="old_path" size="20" /><br />
<input type="submit" value="Import Members" />
</form>
EndHTML;
}
else {
  $file = $FORM['old_path']."/info.cgi";
  $fh_info = fopen($file, "r");
  $info = fread($fh_info, filesize($file)); 
  fclose($fh_info);

  $info_array = explode("\n", $info); 

  // Connect to the database
  $dbl = mysql_connect($CONFIG['sql_host'], $CONFIG['sql_user'], $CONFIG['sql_pass']) or die(mysql_error());
  $db = mysql_select_db($CONFIG['sql_database'], $dbl) or die(mysql_error());

  $result = mysql_query("SELECT num_members FROM ".$CONFIG['sql_prefix']."_etc");
  list($num_members) = mysql_fetch_array($result, MYSQL_NUM);

  $old_num_members = $num_members;

  foreach ($info_array as $value) {
    if ($value) {
      $value = rtrim($value);
      list($id, $url, $title, $description, $email, $password, $urlbanner) = explode('|', $value);

      $id = strip($id);
      $url = strip($url);
      $title = strip($title);
      $description = strip($description);
      $email = strip($email);
      $urlbanner = strip($urlbanner);
      $password = strip($password);

      $password = md5($password);

      mysql_query("INSERT INTO ".$CONFIG['sql_prefix']."_members (id, password, url, title, description, urlbanner, email, jointime, active)
                   VALUES ($id, '$password', '$url', '$title', '$description', '$urlbanner', '$email', 1, ".$CONFIG['active_default'].")") or die(mysql_error());
      mysql_query("INSERT INTO ".$CONFIG['sql_prefix']."_stats VALUES ($id, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)") or die(mysql_error());

      $num_members++;
    }
  }

  $result = mysql_query("SELECT MAX(id) FROM ".$CONFIG['sql_prefix']."_members");
  list($highest_id) = mysql_fetch_array($result, MYSQL_NUM);

  mysql_query("UPDATE ".$CONFIG['sql_prefix']."_etc SET num_members = $num_members, highest_id = $highest_id");

  mysql_close($dbl);

  $difference = $num_members - $old_num_members;

  echo "$difference members have been imported into your topsites list.  You should delete upgrade.php now.";
}

echo <<<EndHTML
</td></tr></table>
</body>
</html>
EndHTML;
?>