<?php
//===============================================
// AARDVARK TOPSITES PHP 4.0.2
//-----------------------------------------------
// Written by Jeremy Scheff
// (c) 2003 Aardvark Industries
// http://www.aardvarkind.com/
//-----------------------------------------------
// You can use, modify, and redistribute this
// script under the terms of the Aardvark
// Industries License, either version 2.0 or (at
// your option) any later version published by
// Aardvark Industries.
//===============================================
// This translation is by Jeremy Scheff
// http://www.aardvarkind.com/
//===============================================

// Global
$LNG['g_form_submit_short'] = "Go";
$LNG['g_form_submit_long'] = "Submit";
$LNG['g_form_submit_reset'] = "Reset";
$LNG['g_id'] = "ID";
$LNG['g_url'] = "URL";
$LNG['g_title'] = "Title";
$LNG['g_description'] = "Description";
$LNG['g_email'] = "Email";
$LNG['g_bannerurl'] = "Banner URL";
$LNG['g_password'] = "Password";
$LNG['g_average'] = "Average";
$LNG['g_today'] = "Today";
$LNG['g_yesterday'] = "Yesterday";
$LNG['g_2days'] = "2 Days Ago";
$LNG['g_3days'] = "3 Days Ago";
$LNG['g_thismonth'] = "This Month"; // 3.2.1
$LNG['g_lastmonth'] = "Last Month"; // 3.2.1
$LNG['g_2months'] = "2 Months Ago"; // 3.2.1
$LNG['g_3months'] = "3 Months Ago"; // 3.2.1
$LNG['g_unq_pv'] = "Unique Pageviews";
$LNG['g_tot_pv'] = "Total Pageviews";
$LNG['g_unq_in'] = "Unique Hits In";
$LNG['g_tot_in'] = "Total Hits In";
$LNG['g_unq_out'] = "Unique Hits Out";
$LNG['g_tot_out'] = "Total Hits Out";

// Edit Member Info
$LNG['edit_header'] = "Edit Member Info";
$LNG['edit_error_id_password'] = "Please check your ID number and password, then try again!";
$LNG['edit_error'] = "Error";
$LNG['edit_error_forgot'] = "You forgot to:";
$LNG['edit_error_url'] = "Enter a valid url.";
$LNG['edit_error_email'] = "Enter a valid email address.";
$LNG['edit_error_title'] = "Enter a title for your web site.";
$LNG['edit_error_password'] = "Enter a password.";
$LNG['edit_error_back'] = "Please go back and fix those errors.";
$LNG['edit_success'] = "Success!";
$LNG['edit_info_edited'] = "Your information has been successfully edited.";

// Gateway Page
$LNG['gateway_header'] = "Topsites Gateway Page";
$LNG['gateway_text'] = "To deter cheating, a gateway page has been put up.  Click the link below to enter the topsites list.";
$LNG['gateway_vote'] = "Enter and vote.";
$LNG['gateway_novote'] = "Tricked into coming here?  Enter without voting.";
$LNG['gateway_cheating'] = "The site you are coming from is cheating.  This vote will not be recorded.";
$LNG['gateway_enter'] = "Enter";

// Graph
$LNG['graph_header'] = "Graph";

// Join
$LNG['join_header'] = "Join";
$LNG['join_bannermustbe'] = "Must be less than"; // 4.0
$LNG['join_error'] = "Error";
$LNG['join_error_forgot'] = "You forgot to:";
$LNG['join_error_url'] = "Enter a valid url.";
$LNG['join_error_email'] = "Enter a valid email address.";
$LNG['join_error_title'] = "Enter a title for your web site.";
$LNG['join_error_password'] = "Enter a password.";
$LNG['join_error_urlbanner'] = "Enter a valid banner (leave it blank if you don't have one)."; // 4.0
$LNG['join_error_back'] = "Please go back and fix those errors.";
$LNG['join_error_time'] = "Less than 120 seconds have passed since you joined.  Do not refresh the join confirmation page."; // 4.0
$LNG['join_success'] = "Success!";
$LNG['join_thanks'] = "Thank you!  Put this code into your site to be ranked.";
$LNG['join_changewarning'] = "If you change the code, it might not work.";
$LNG['join_welcome'] = "Welcome to the topsites list!";
$LNG['join_welcome_look'] = "If that doesn't look right, use this code:";
$LNG['join_welcome_admin'] = "A New Member Has Joined Your Topsites";

// Lost Code
$LNG['lostcode_header'] = "Lost Code";

// Lost Password
$LNG['lostpw_header'] = "Lost Password";
$LNG['lostpw_email'] = "To pick a new password for your site, just go to the url below."; // 4.0.1
$LNG['lostpw_emailed'] = "Instructions on how to reset your password have been emailed to you.";
$LNG['lostpw_newpassword'] = "Enter a New Password"; // 4.0.1
$LNG['lostpw_finish'] = "Your password has been reset to the new password you have just chosen."; // 4.0.1
$LNG['lostpw_error'] = "Please make sure you have the right ID number and try again.";

// Main Template
$LNG['main_header'] = "Main Page"; // 4.0
$LNG['main_method'] = "Ranking method";
$LNG['main_members'] = "Members";
$LNG['main_menu_main'] = "Main Page";
$LNG['main_menu_join'] = "Join";
$LNG['main_menu_random'] = "Random Member";
$LNG['main_menu_search'] = "Search";
$LNG['main_menu_lostcode'] = "Lost Code";
$LNG['main_menu_lostpw'] = "Lost Password";
$LNG['main_menu_edit'] = "Edit Member Info";
$LNG['main_featured'] = "Featured Member"; // 4.0.2
$LNG['main_executiontime'] = "Script Execution Time"; // 4.0
$LNG['main_queries'] = "SQL Queries"; // 4.0
$LNG['main_powered'] = "Powered By";

// Ranking Table
$LNG['table_stats'] = "Stats";
$LNG['table_unique'] = "Unique";
$LNG['table_total'] = "Total";
$LNG['table_rank'] = "Rank";
$LNG['table_title'] = "Title"; // 4.0
$LNG['table_description'] = "Description"; // 4.0

// Rate and Review
$LNG['rate_header'] = "Rate and Review";
$LNG['rate_rating'] = "Rating";
$LNG['rate_review'] = "Review";
$LNG['rate_thanks'] = "Thanks for rating and reviewing this site!";
$LNG['rate_error'] = "You have already rated or reviewed this site.";
$LNG['rate_back'] = "Back To Stats";

// Search
$LNG['search_header'] = "Search";
$LNG['search_internet'] = "The Internet"; // 4.0
$LNG['search_topsites'] = "This Topsites"; // 4.0
$LNG['search_off'] = "The search feature has been turned off for this topsites list.";
$LNG['search_rank'] = "Rank";
$LNG['search_search'] = "Search";
$LNG['search_for'] = "You searched for";
$LNG['search_string'] = "Search as a string?";
$LNG['search_nosites'] = "Sorry, no sites matching your criteria were found.";
$LNG['search_prev'] = "Previous"; // 3.2.1
$LNG['search_next'] = "Next"; // 3.2.1

// Stats
$LNG['stats_header'] = "Stats";
$LNG['stats_rating_avg'] = "Average Rating";
$LNG['stats_rating_num'] = "Number of Ratings";
$LNG['stats_rate'] = "Rate And Review This Site";
$LNG['stats_reviews'] = "Reviews";
$LNG['stats_error_id'] = "Invalid ID."; // 4.0
$LNG['stats_allreviews'] = "Show All Reviews"; // 4.0

// ssi.php
$LNG['ssi_top'] = "Top %s Sites"; //4.0
$LNG['ssi_newmembers'] = "%s Newest Members"; //4.0
$LNG['ssi_join'] = "Join"; //4.0
$LNG['ssi_all'] = "All Sites"; //4.0

// Admin > Approve New Memers // 4.0
$LNG['a_approve'] = "Approve"; // 4.0
$LNG['a_approve_del'] = "Delete"; // 4.0
$LNG['a_approve_none'] = "There are no members waiting to be approved."; // 4.0
$LNG['a_approve_done'] = "The site has been approved successfully."; // 4.0

// Admin > Delete
$LNG['a_del_mems'] = "The member has been successfully deleted.";
$LNG['a_del_mem'] = "Delete One Member";

// Admin > Edit Member Info
$LNG['a_edit_password_blank'] = "Leave this blank to keep the current password"; // 4.0
$LNG['a_edit_site_is'] = "This site is"; // 4.0
$LNG['a_edit_active'] = "Active (Listed)"; // 4.0
$LNG['a_edit_inactive'] = "Inactive (Temporarily Banned, Not Listed)"; // 4.0
$LNG['a_edit_error_id'] = "Invalid ID.";
$LNG['a_edit_error'] = "Error";
$LNG['a_edit_error_forgot'] = "You forgot to:";
$LNG['a_edit_error_url'] = "Enter a valid url.";
$LNG['a_edit_error_email'] = "Enter a valid email address.";
$LNG['a_edit_error_title'] = "Enter a title for your web site.";
$LNG['a_edit_error_password'] = "Enter a password.";
$LNG['a_edit_error_back'] = "Please go back and fix those errors.";
$LNG['a_edit_success'] = "Success!";
$LNG['a_edit_info_edited'] = "The member's information has been successfully edited.";

// Admin > Email Members
$LNG['a_email_addresses'] = "These are the email addresses of all members.";

// Admin > Find ID
$LNG['a_find_find'] = "To find a site's ID number, just use the normal search feature of your topsites list.  <a href=\"index.php?a=search\">Click here</a>.";

// Admin > Login/Logout/Main
$LNG['a_login'] = "You are logged in.  A temporary cookie has been set.  To delete the cookie and logout, click logout or exit your browser.";
$LNG['a_login_enter'] = "Enter";
$LNG['a_login_invalidpw'] = "Invalid password!";
$LNG['a_login_when'] = "When you login, a tempoary cookie will be created.  Because of that, you need to turn cookies on in your browser before you login.  Don't worry, all the major browsers have cookies turned on by default.  If your browser is ancient and doesn't support cookies, I suggest you upgrade to a recent version of Mozilla, Opera, or Internet Explorer.";

// Admin > Logout
$LNG['a_logout'] = "You are logged out.";

// Admin > Main
$LNG['a_main'] = "Use the links at the left to go to the different areas of the admin.";
$LNG['a_main_approve'] = "There are %s sites waiting to be approved.";

// Admin > Menu
$LNG['a_menu'] = "Menu";
$LNG['a_menu_main'] = "Main Page";
$LNG['a_menu_approve'] = "Approve New Members";
$LNG['a_menu_delete'] = "Delete Member";
$LNG['a_menu_edit'] = "Edit Member";
$LNG['a_menu_email'] = "Email Members";
$LNG['a_menu_find'] = "Find ID";
$LNG['a_menu_logout'] = "Logout";
$LNG['a_menu_settings'] = "Settings";
$LNG['a_menu_version'] = "Version Check";

// Admin > Settings
$LNG['a_s_general'] = "General Settings";
$LNG['a_s_list_name'] = "Name of your topsites list";
$LNG['a_s_deflanguage'] = "Default language";
$LNG['a_s_path'] = "The full path to the topsites directory";
$LNG['a_s_list_url'] = "URL to the topsites directory";
$LNG['a_s_templates_path'] = "The full path to the templates directory";
$LNG['a_s_templates_url'] = "URL to the directory the templates directory";
$LNG['a_s_youremail'] = "Your email address";

$LNG['a_s_sql'] = "SQL Settings";
$LNG['a_s_sql_host'] = "Host";
$LNG['a_s_sql_database'] = "Database";
$LNG['a_s_sql_user'] = "Username";
$LNG['a_s_sql_pass'] = "Password";

$LNG['a_s_ranking'] = "Ranking Settings";
$LNG['a_s_numlist'] = "Number of members to list per page";
$LNG['a_s_daymonth'] = "Keep hits for days or months";
$LNG['a_s_rankingmethod'] = "Ranking method"; // 4.0.2
$LNG['a_s_top'] = "Number of members to use the special top templates for";
$LNG['a_s_adbreak'] = "Show an ad break after these ranks (separate with commas)";

$LNG['a_s_members'] = "Members Settings";
$LNG['a_s_active_default'] = "Require new members to be approved by you before being listed";
$LNG['a_s_email_admin_on_join'] = "Email you when a new member joins";
$LNG['a_s_max_banner_width'] = "Member's maximum banner width";
$LNG['a_s_max_banner_height'] = "Member's maximum banner height";
$LNG['a_s_defbanner'] = "Default banner to give members if they don't supply one when they join";

$LNG['a_s_button'] = "Button Settings";
$LNG['a_s_ranks_on_buttons'] = "Do you want your member's rank on their button?  See the manual for details"; // 4.0
$LNG['a_s_button_url'] = "<b>If No</b> - URL to the button you want to appear on members' sites"; // 4.0
$LNG['a_s_button_dir'] = "<b>If Yes</b> - URL to the directory the buttons are in"; // 4.0
$LNG['a_s_button_ext'] = "<b>If Yes</b> - Extension of the buttons (gif, png, jpg, etc.)"; // 4.0
$LNG['a_s_button_num'] = "<b>If Yes</b> - Number of buttons you have made - The higher you set this, the more resources the script will use"; // 4.0

$LNG['a_s_searchs'] = "Search Settings"; // 4.0
$LNG['a_s_search_id'] = "<a href=\"http://www.10ringofhits.com/index.php?refer=50\" target=\"_blank\">10 Ring Of Hits</a> Affiliate ID - See the manual for more details";
$LNG['a_s_search'] = "The search feature";
$LNG['a_s_searchresults'] = "Search results per page";

$LNG['a_s_other'] = "Other Settings";
$LNG['a_s_gzip'] = "Enable gzip - gzip saves bandwidth but uses a little more CPU power";
$LNG['a_s_timeoffset'] = "Time offset from your server";
$LNG['a_s_gateway'] = "Gateway page to deter cheating for hits in";

$LNG['a_s_on'] = "On";
$LNG['a_s_off'] = "Off";
$LNG['a_s_days'] = "Days";
$LNG['a_s_months'] = "Months";
$LNG['a_s_yes'] = "Yes";
$LNG['a_s_no'] = "No";

$LNG['a_s_updated'] = "Your settings have been updated.";

// Admin > Version Check
$LNG['a_version_using'] = "You are using the latest version of this script.";
$LNG['a_version_your'] = "Your version";
$LNG['a_version_latest'] = "Latest version";
$LNG['a_version_new'] = "New version available: <a href=\"http://www.aardvarkind.com/index.php?page=topsitesphp\">Click here</a>.";
?>