<?php
//===============================================
// AARDVARK TOPSITES PHP 4.0.2
//-----------------------------------------------
// Written by Jeremy Scheff
// (c) 2003 Aardvark Industries
// http://www.aardvarkind.com/
//-----------------------------------------------
// You can use, modify, and redistribute this
// script under the terms of the Aardvark
// Industries License, either version 2.0 or (at
// your option) any later version published by
// Aardvark Industries.
//===============================================

function error($message, $killscript, $writetolog) {
  global $TMPL;
  $TMPL['error'] = $message;
  $TMPL['content'] .= do_template("error");
  if ($killscript) {
    build_template_stuff();
    echo do_template("template");
    exit;
  }
  return 1;
}

function parse_form () {
  global $HTTP_GET_VARS, $HTTP_POST_VARS;
  $return = array();
  if(is_array($HTTP_GET_VARS)) {
    while(list($key, $value) = each($HTTP_GET_VARS)) {
      if(is_array($HTTP_GET_VARS[$key])) {
        while(list($key2, $value2) = each($HTTP_GET_VARS)) {
          $return[$key][$key2] = strip($value2);
        }
      }
      else {
        $return[$key] = strip($value);
      }
    }
  }
  if(is_array($HTTP_POST_VARS)) {
    while(list($key, $value) = each($HTTP_POST_VARS)) {
      if(is_array($HTTP_POST_VARS[$key])) {
        while(list($key2, $value2) = each($HTTP_POST_VARS)) {
          $return[$key][$key2] = strip($value2);
        }
      }
      else {
        $return[$key] = strip($value);
      }
    }
  }
  return $return;
}

function strip ($value) {
  $value = str_replace("&#032;", " ", $value );
  $value = str_replace("&", "&amp;", $value );
  $value = str_replace("<!--", "&#60;&#33;--", $value );
  $value = str_replace("-->", "--&#62;", $value );
  $value = preg_replace("/<script/i", "&#60;script", $value );
  $value = str_replace(">", "&gt;", $value );
  $value = str_replace("<", "&lt;", $value );
  $value = str_replace("\"", "&quot;", $value );
  $value = preg_replace("/\|/", "&#124;", $value );
  $value = preg_replace("/\n/", "<br />", $value );
  $value = preg_replace("/\\\$/", "&#036;", $value );
  $value = preg_replace("/\r/", "", $value );
  $value = str_replace("!", "&#33;", $value );
  $value = str_replace("'", "&#39;", $value );
  $value = stripslashes($value);
  $value = preg_replace("/\\\/", "&#092;", $value );
  return $value;
}
?>