<?php
//===============================================
// AARDVARK TOPSITES PHP 4.0.2
//-----------------------------------------------
// Written by Jeremy Scheff
// (c) 2003 Aardvark Industries
// http://www.aardvarkind.com/
//-----------------------------------------------
// You can use, modify, and redistribute this
// script under the terms of the Aardvark
// Industries License, either version 2.0 or (at
// your option) any later version published by
// Aardvark Industries.
//===============================================

$TMPL['header'] = $LNG['join_header'];
if (!$FORM['url']) {
  $TMPL['content'] = do_template("join_form");
}
else {
  if (!preg_match("/http/", $FORM['url'])) { $error_url = 1; }
  if (!preg_match("/.+\@.+\.\w+/", $FORM['email'])) { $error_email = 1; }
  if (!$FORM['title']) { $error_title = 1; }
  if (!$FORM['password']) { $error_password = 1; }
  if ($FORM['urlbanner'] == '' || $FORM['urlbanner'] == "http://") {
    $FORM['urlbanner'] = $CONFIG['defbanner'];
  }
  else {
    $size = @getimagesize($FORM['urlbanner']);
    if ($size[0] > $CONFIG['max_banner_width'] || $size[1] > $CONFIG['max_banner_height']) {
      $error_urlbanner = 1;
    }
    if (!$size[0] && !$size[1]) { $error_urlbanner = 1; }
  }

  if ($error_url || $error_email || $error_title || $error_password || $error_urlbanner) {
    $TMPL['content'] .= $LNG['join_error']."<br /><br />\n";
    $TMPL['content'] .= $LNG['join_error_forgot']."<br />\n";
    if ($error_url) { $TMPL['content'] .= $LNG['join_error_url']."<br />"; }
    if ($error_email) { $TMPL['content'] .= $LNG['join_error_email']."<br />"; }
    if ($error_title) { $TMPL['content'] .= $LNG['join_error_title']."<br />"; }
    if ($error_password) { $TMPL['content'] .= $LNG['join_error_password']."<br />"; }
    if ($error_urlbanner) { $TMPL['content'] .= $LNG['join_error_urlbanner']."<br />"; }
    $TMPL['content'] .= "<br />".$LNG['join_error_back'];
  }
  else {
    $test = time() - 120;
    $result = mysql_query("SELECT jointime FROM ".$CONFIG['sql_prefix']."_members WHERE title = '".$FORM['title']."' AND jointime > ".$test." LIMIT 1");
    list($jointime) = mysql_fetch_array($result, MYSQL_NUM);
    $TMPL['queries']++;
    if ($jointime) {
      error($LNG['join_error_time'], 1, 0);
    }

    mysql_query("UPDATE ".$CONFIG['sql_prefix']."_etc SET num_members = num_members + 1, highest_id = highest_id + 1");
    $TMPL['queries']++;

    $result = mysql_query("SELECT highest_id FROM ".$CONFIG['sql_prefix']."_etc");
    list($TMPL['id']) = mysql_fetch_array($result, MYSQL_NUM);
    $TMPL['queries']++;

    $TMPL['url'] = $FORM['url'];
    $TMPL['title'] = $FORM['title'];
    $TMPL['description'] = $FORM['description'];
    $TMPL['urlbanner'] = $FORM['urlbanner'];
    $TMPL['email'] = $FORM['email'];

    $FORM['password'] = md5($FORM['password']);

    $time = time();

    mysql_query("INSERT INTO ".$CONFIG['sql_prefix']."_members (id, password, url, title, description, urlbanner, email, jointime, active)
                 VALUES (".$TMPL['id'].", '".$FORM['password']."', '".$TMPL['url']."', '".$TMPL['title']."', '".$TMPL['description']."', '".$TMPL['urlbanner']."', '".$TMPL['email']."', ".$time.", ".$CONFIG['active_default'].")");
    $TMPL['queries']++;
    mysql_query("INSERT INTO ".$CONFIG['sql_prefix']."_stats VALUES (".$TMPL['id'].", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)");
    $TMPL['queries']++;

    $file = $CONFIG['templates_path']."/welcome.html";
    $fh_welcome = fopen($file, "r");
    $welcome = fread($fh_welcome, filesize($file)); 
    fclose($fh_welcome);

    $welcome_array = explode("\n", $welcome);

    $subject = array_shift($welcome_array);
    $subject = preg_replace("/Subject\: /", "", $subject );
    $welcome = implode("\n", $welcome_array);
    $subject = template_regex($subject);
    $welcome = template_regex($welcome);
    mail($TMPL['email'], $subject, $welcome, "From: ".$CONFIG['youremail']."\r\n");

    if ($CONFIG['email_admin_on_join']) {
      $file = $CONFIG['templates_path']."/welcome_admin.html";
      $fh_welcome_admin = fopen($file, "r");
      $welcome_admin = fread($fh_welcome_admin, filesize($file));
      fclose($fh_welcome_admin);

      $welcome_admin_array = explode("\n", $welcome_admin);

      $subject = array_shift($welcome_admin_array);
      $subject = preg_replace("/Subject\: /", "", $subject );
      $welcome_admin = implode("\n", $welcome_admin_array);
      $subject = template_regex($subject);
      $welcome_admin = template_regex($welcome_admin);
      mail($CONFIG['youremail'], $subject, $welcome_admin, "From: ".$CONFIG['youremail']."\r\n");
    }

    $TMPL['content'] = do_template("join_finish");
  }
}
?>