<?php
//===============================================
// AARDVARK TOPSITES PHP 4.0.2
//-----------------------------------------------
// Written by Jeremy Scheff
// (c) 2003 Aardvark Industries
// http://www.aardvarkind.com/
//-----------------------------------------------
// You can use, modify, and redistribute this
// script under the terms of the Aardvark
// Industries License, either version 2.0 or (at
// your option) any later version published by
// Aardvark Industries.
//===============================================

function do_template ($filename) {
  global $CONFIG;
  $file = $CONFIG['templates_path']."/".$filename.".html";
  $fh_template = fopen($file, "r");
  $template = fread($fh_template, filesize($file)); 
  fclose($fh_template);

  if ($filename == "template") {
    if (preg_match("/<\#poweredby>/", $template)) { $copythere = 1; }

    if ($copythere) { $return = $template; }
    else { $return = "You cannot delete the &lt;#poweredby&gt; tag from template.html."; }
  }
  elseif ($filename == "admin" || $filename == "ssi_top" || $filename == "ssi_members") {
    $return = $template;
  }
  else {
    $return = "<!-- Begin $filename.html -->\n" . $template . "\n<!-- End $filename.html -->\n\n";
  }
  return template_regex($return);
}

function template_regex ($template) {
  global $LNG, $TMPL;
  $template = preg_replace("/<#lng\{\'(.+?)\'\}>/ei", "\$LNG['\\1']", $template);
  $template = preg_replace("/<#(.+?)>/ei", "\$TMPL['\\1']", $template);
  return $template;
}

function build_template_stuff () {
  global $CONFIG, $FORM, $LNG, $TMPL, $starttime;

  // Build the multiple pages menu
  if ($TMPL['nummem'] > $CONFIG['numlist']) {
    $num = $TMPL['nummem'];
    $done = 0;
    $TMPL['rankingsform'] = "<select name=\"start\">\n";
    while ($num > 0) {
      $start = $done * $CONFIG['numlist'] + 1;
      $end = ($done + 1) * $CONFIG['numlist'];

      if ($FORM['start'] == $start) {
        $TMPL['rankingsform'] .= "<option value=\"".$start."\" selected=\"selected\">".$start." - ".$end."\n";
      }
      else {
        $TMPL['rankingsform'] .= "<option value=\"".$start."\">".$start." - ".$end."\n";
      }

      $num = $num - $CONFIG['numlist'];
      $done++;
    }
    $TMPL['rankingsform'] .= "</select>";
  }

  // Build the ranking method menu
  $rankingmethod = $FORM['method'] ? $FORM['method'] : $CONFIG['rankingmethod'];
  $TMPL['meth'] = $LNG['g_'.$rankingmethod];
  $TMPL['methform'] = "<select name=\"method\">\n";
  if ($rankingmethod == "unq_pv") { $TMPL['methform'] .= "<option value=\"unq_pv\" selected=\"selected\">".$LNG['g_unq_pv']."\n"; }
  else { $TMPL['methform'] .= "<option value=\"unq_pv\">".$LNG['g_unq_pv']."\n"; }
  if ($rankingmethod == "tot_pv") { $TMPL['methform'] .= "<option value=\"tot_pv\" selected=\"selected\">".$LNG['g_tot_pv']."\n"; }
  else { $TMPL['methform'] .= "<option value=\"tot_pv\">".$LNG['g_tot_pv']."\n"; }
  if (rankingmethod == "unq_in") { $TMPL['methform'] .= "<option value=\"unq_in\" selected=\"selected\">".$LNG['g_unq_in']."\n"; }
  else { $TMPL['methform'] .= "<option value=\"unq_in\">".$LNG['g_unq_in']."\n"; }
  if ($rankingmethod == "tot_in") { $TMPL['methform'] .= "<option value=\"tot_in\" selected=\"selected\">".$LNG['g_tot_in']."\n"; }
  else { $TMPL['methform'] .= "<option value=\"tot_in\">".$LNG['g_tot_in']."\n"; }
  if ($rankingmethod == "unq_out") { $TMPL['methform'] .= "<option value=\"unq_out\" selected=\"selected\">".$LNG['g_unq_out']."\n"; }
  else { $TMPL['methform'] .= "<option value=\"unq_out\">".$LNG['g_unq_out']."\n"; }
  if ($rankingmethod == "tot_out") { $TMPL['methform'] .= "<option value=\"tot_out\" selected=\"selected\">".$LNG['g_tot_out']."\n"; }
  else { $TMPL['methform'] .= "<option value=\"tot_out\">".$LNG['g_tot_out']."\n"; }
  $TMPL['methform'] .= "</select>";

  $nummem = $TMPL['nummem'] - 1;
  $limit = rand(0, $nummem);
  $result = mysql_query("SELECT id, url, title, description, urlbanner FROM ".$CONFIG['sql_prefix']."_members LIMIT ".$limit.", 1") or die(mysql_error());
  list($TMPL['id'], $TMPL['real_url'], $TMPL['title'], $TMPL['description'], $TMPL['urlbanner']) = mysql_fetch_array($result, MYSQL_NUM);
  $TMPL['queries']++;
  $TMPL['url'] = $CONFIG['list_url']."/out.php?id=".$TMPL['id'];
  $TMPL['featured'] = do_template("featured");

  // Please do not remove the link to http://www.aardvarkind.com/.
  // This is a free script, all I ask for is a link back.
  // If you need to remove the link, see my website for details.
  $TMPL['poweredby'] = $LNG['main_powered']." <a href=\"http://www.aardvarkind.com/\" target=\"_blank\">Aardvark Topsites PHP</a> ".$TMPL['version'];

  // Stop the timer
  $endtime = microtime();
  $endtime = explode (' ', $endtime);
  $endtime = $endtime[1] + $endtime[0];
  $TMPL['executiontime'] = round(($endtime - $starttime), 5);
}
?>